/***************************************************************************

     File: typeconverter.c
 Contents: String to Cardinal type converter for the resource manager
  Part of: The Xmtutor application
   Author: Jan Borchers (job@ira.uka.de)

  $Source: /home/mit1/job/distribution/Xmtut/RCS/typeconverter.c,v $
$Revision: 1.3 $
    $Date: 1994/10/17 18:10:01 $
   $State: Rel $
  $Locker:  $

$Log: typeconverter.c,v $
 * Revision 1.3  1994/10/17  18:10:01  job
 * First revision under version control.
 *

***************************************************************************/


/**************************************************************************/
/*                                                                        */
/* COPYRIGHT NOTICE:                                                      */
/* -----------------                                                      */
/* All parts of the Xmtutor application and the sample Motif tutorial are */
/* Copyright (C) 1993,1994 Jan Borchers.                                  */
/*                                                                        */
/**************************************************************************/


#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include "EXPORT.H"
#include "typeconverter.h"

void StringToCardinal (XrmValue *args, int *nargs, XrmValue *fromVal, XrmValue *toVal)
{
  static Cardinal result;

  if (*nargs)							/* Warning if any args are present */
    XtWarning ("String to Cardinal conversion needs no arguments.");
  if (sscanf ((char *) fromVal->addr, "%u", &result) == 1)	/* Convert the string in fromVal to a Cardinal */
    {   
      toVal->size = sizeof (Cardinal);				/* Make toVal point to the result. */
      toVal->addr = (caddr_t) &result; 
    } 
  else 
    XtStringConversionWarning ((char *) fromVal->addr, "Cardinal"); /* If sscanf fails, issue a warning */
}
